3 Replies Latest reply on May 8, 2017 3:31 PM by Matt Coles

    Error installing VizAlerts

    Sean Menago

      Looked through previous threads and tried some of the referenced solutions, but cannot get the twilio package installed.  I was advised to execute the following, but recieve the below error message -

       

      python -m pip install twilio==5.7.0

       

       

      Error:

       

        Running setup.py install for httplib2
        Could not find .egg-info directory in install record for httplib2>=0.7 (from
      wilio==5.7.0)
      Cleaning up...
      Exception:
      Traceback (most recent call last):
        File "C:\Python27\lib\site-packages\pip\basecommand.py", line 122, in main
          status = self.run(options, args)
        File "C:\Python27\lib\site-packages\pip\commands\install.py", line 283, in ru

          requirement_set.install(install_options, global_options, root=options.root_
      ath)
        File "C:\Python27\lib\site-packages\pip\req.py", line 1435, in install
          requirement.install(install_options, global_options, *args, **kwargs)
        File "C:\Python27\lib\site-packages\pip\req.py", line 749, in install
          os.remove(record_filename)
      WindowsError: [Error 32] The process cannot access the file because it is being
      used by another process: 'c:\\users\\admini~1\\appdata\\local\\temp\\pip-qc5hgs
      record\\install-record.txt'

      Storing debug log for failure in C:\Users\administrator\pip\pip.log

        • 1. Re: Error installing VizAlerts
          Matt Coles

          Hey Sean. Try the offline approach to installing it, and see if that works. Here's what I advised someone else to do:

           

           

           

           

          Create a folder "c:\mypythonpackages" (or call it whatever you want, and sub in the path in the lines below).

           

          pip install --download c:\mypythonpackages twilio==5.7.0

          pip install --no-index --find-links file:c:\mypythonpackages twilio==5.7.0

           

          If your machine doesn't have internet access, run the first command on a machine that does, then copy the c:\mypythonpackages to the one that doesn't, then run the last one on that machine.

           

           

          We seem to be having issues with the latest twilio version in general, so we're going to take a more comprehensive look at things next week and see about implementing some fixes.

          1 of 1 people found this helpful
          • 2. Re: Error installing VizAlerts
            Sean Menago

            Yes. The above resolved the twilio install error.  Now I am trying to run the test in install guide "python C:\VizAlerts\vizalerts.py" and I receive an exception about the config file, but the specific parameter is not mentioned.  Is there a discussion out there that would be helpful? Thanks!

             

            An exception was raised loading the config file .\config\vizalerts.yaml: (<class 'yaml.scanner.ScannerError'>, ScannerError(), <traceback object at 0x02E18FA8>) Stacktrace: <traceback object at 0x02E18FA8>

            MainThread - 2017-05-08 13:07:40 - [ERROR] - <module> - An unhandled exception occurred: Traceback (most recent call last):

              File "C:\VizAlerts\vizalerts.py", line 463, in <module>

                main()

              File "C:\VizAlerts\vizalerts.py", line 84, in main

                config.validate_conf(configfile)

              File "C:\VizAlerts\vizalert\config.py", line 70, in validate_conf

                sys.exit(1)

            SystemExit: 1

            Traceback (most recent call last):

              File "C:\VizAlerts\vizalerts.py", line 463, in <module>

                main()

              File "C:\VizAlerts\vizalerts.py", line 84, in main

                conf

            • 3. Re: Error installing VizAlerts
              Matt Coles

              Yep, this is common enough that we list it in this post: Having an issue? Check this first! :

               

              Exception was raised loading the config file .\config\vizalerts.yaml: Something something 'yaml.scanner.ScannerError'

              • The config\vizalerts.yaml file is in YAML format, which can be a bit picky. The most common issue is that a TAB character is added somewhere, which YAML does not like. Find it and remove it.
              • See here or here for examples.